phpBB-2.0.20 Kod değişikliği yapacakların dikkatine

Yeni sürümler, phpBB duyuruları.

Cvp: phpBB-2.0.20 Kod değişikliği yapacakların dikkatine

İleti murtaza 08.04.2006, 02:49

Kod: Tümünü seç
# Just remove/delete the lines (replacing with an empty line)


buldugun kodu sil diyor anacim

Kod: Tümünü seç
Bende last visit yüklü, nasıl çakışıyor? Biraz daha açarsan sevinirim. Sen nasıl problemi halletin veya öyle sorayım.


serach.php'`de

replacce wirhhli kodlari editlerken dikkatli ol

LAST VISITIDE otomatik siliyorsun cünkü

bu yüzden start last visit kodlarini ayni bir text dökümana copy yap

sonra 2.0.20de istenen kodlari degistir

daha sonra copy yaptigin last visiti eski yerine koy

bende calisiyo

Sevgiyle
Ögretmenim canim benim , canim benim...
Seni ben pek cok , pek cok severim.
Sen bir anaaaa , sen bir baabaaaaaa
Kalani neyyydiii yaaa unuttum , bu siirin sözlerini ariyorum...
Kullanıcı avatarı
murtaza
Üye
Üye
 
İleti: 1187
Kayıt: 15.11.2005, 17:15
Konum: Yurt Dışı

İleti purple 08.04.2006, 02:52

Aynı şeyi ben de düşündüm ama nasıl olurki? Bir tanesinde delete sql sorgusu var yani yeni gelen 2.0.20 de diğerinde ise select. Sen tam orada kullandığın kodu buraya yazarsan çok sevinirim mürtaza. Saygılar...
Kullanıcı avatarı
purple
Üye
Üye
 
İleti: 618
Kayıt: 06.03.2006, 22:40

İleti fatihbaz 08.04.2006, 02:55

ingilizce biliyorum zaten sorun o degildi arkadaşlar :) teşekkürler.bende zaten purple ın söyledigi gibi 2.sırakine uyguluyorum degişiklikleri ama yinede bi sorayım dedim ;) o zaman devam....
Kullanıcı avatarı
fatihbaz
Üye
Üye
 
İleti: 870
Kayıt: 25.11.2005, 12:26
Konum: Kahramanmaraş

İleti 10UR 08.04.2006, 10:59

cod değişikligi için verilen link uçmuş yenilerseniz çok sevinirim.
10UR
Üye
Üye
 
İleti: 108
Kayıt: 30.11.2005, 18:44

İleti fatihbaz 08.04.2006, 14:53

codelardaki degişikliklerde bi sorun vardı,acaba şimdi düzeltildimi?yani indirip kurabilirmiyiz ?
Kullanıcı avatarı
fatihbaz
Üye
Üye
 
İleti: 870
Kayıt: 25.11.2005, 12:26
Konum: Kahramanmaraş

İleti Emexci 08.04.2006, 14:58

fatihbaz yazdı:codelardaki degişikliklerde bi sorun vardı,acaba şimdi düzeltildimi?yani indirip kurabilirmiyiz ?



evet, phpBB Grubu demiski

The code changes file is once again available on the download page with the error corrected.


hatalar düzeltilmis
Kullanıcı avatarı
Emexci
Üye
Üye
 
İleti: 833
Kayıt: 28.11.2005, 01:07

İleti fatihbaz 08.04.2006, 15:20

evet az önce gördüm bende :) indirip kuralım o zaman,teşekkürler......
Kullanıcı avatarı
fatihbaz
Üye
Üye
 
İleti: 870
Kayıt: 25.11.2005, 12:26
Konum: Kahramanmaraş

Cvp: phpBB-2.0.20 Kod değişikliği yapacakların dikkatine

İleti fatse 08.04.2006, 16:52

sabri ünal yazdı:
fatse yazdı:anlaşılan bu işten kaçışımız yok ben daha dün easy sub forum ve bi kaç tane daha mod yüklemiştim çok ta güzel oldu diye sevinmiştim neyse canımız saolsun erinde gecinde bunu yapacakmışız biraz erken oldu ama kolları sıvayıp başlıyalım bari :? :D


20 moda kadar olan alan için, kod değişiklikleri yapmak yerine yeniden modlamak bence daha sağlıklıdır...

sana kolay gelsin.

peki bunu nasıl yapıcam önce kurulu modlarımımı kaldırıcam nasıl
?? :? epi topu easy mod, easy sub forum birde bayrak modlarım var
En son fatse tarafından, 08.04.2006, 16:54 tarihinde değiştirildi, toplamda 1 değişiklik yapıldı.
fatse
Üye
Üye
 
İleti: 31
Kayıt: 05.02.2006, 15:28

İleti purple 08.04.2006, 16:54

Mürtaza hala cevabını bekliyorum last visit modifikasyonu ile ilgili, cevap verirsen sevinirim.
Kullanıcı avatarı
purple
Üye
Üye
 
İleti: 618
Kayıt: 06.03.2006, 22:40

Cvp: phpBB-2.0.20 Kod değişikliği yapacakların dikkatine

İleti 10UR 08.04.2006, 19:57

fatse yazdı:
sabri ünal yazdı:
fatse yazdı:anlaşılan bu işten kaçışımız yok ben daha dün easy sub forum ve bi kaç tane daha mod yüklemiştim çok ta güzel oldu diye sevinmiştim neyse canımız saolsun erinde gecinde bunu yapacakmışız biraz erken oldu ama kolları sıvayıp başlıyalım bari :? :D


20 moda kadar olan alan için, kod değişiklikleri yapmak yerine yeniden modlamak bence daha sağlıklıdır...

sana kolay gelsin.

peki bunu nasıl yapıcam önce kurulu modlarımımı kaldırıcam nasıl
?? :? epi topu easy mod, easy sub forum birde bayrak modlarım var



hiç bişi kaldırma ko ddeğişikligini yap sürümü yükselt mod kaldırma v.b. hiç bişiye herek yok. 8)


AYRICA :

kod değişikligindeki hatalar giderilmiştir.

2,0,19 danm 2,0,20 ye güncellicek olanlar
http://www.phpbb.com/files/releases/php ... hanges.zip

Tüm kod değişikliklerini yaptıktan sonra, ekte gönderdiğim veritabanı güncelleme dosyasısını root dizininize upload edip, çalıştırmanız gerekiyor ve yine ekte gelen confirm_body tpl dosyasını, temanızın admin klasörüne upload etmeniz gerekiyor.

kolay gelsin...
10UR
Üye
Üye
 
İleti: 108
Kayıt: 30.11.2005, 18:44

İleti murtaza 09.04.2006, 00:22

purple yazdı:Mürtaza hala cevabını bekliyorum last visit modifikasyonu ile ilgili, cevap verirsen sevinirim.


kusura bakma anacim bende söyle görünüyor


Kod: Tümünü seç
         track_search($userdata['user_id'], encode_ip($HTTP_SERVER_VARS['REMOTE_ADDR']), time(), $search_keywords, $search_author, $HTTP_SERVER_VARS['HTTP_REFERER'], '1', $search_terms, $search_fields, $return_chars, $search_cat, $search_forum, $sort_by, $sort_dir);
         message_die(GENERAL_MESSAGE, $lang['No_search_match']);
      }

      //
      // Delete old data from the search result table
      //
      // Start replacement - Last visit MOD
   $expiry_time = $current_time - $board_config['session_length'];
      $sql = "SELECT session_id
         FROM " . SESSIONS_TABLE ." WHERE session_time>$expiry_time";
// Start replacement - Last visit MOD
      $sql = 'DELETE FROM ' . SEARCH_TABLE . '
         WHERE search_time < ' . ($current_time - (int) $board_config['session_length']);
      if ( !$result = $db->sql_query($sql) )
      {
         message_die(GENERAL_ERROR, 'Could not delete old search id sessions', '', __LINE__, __FILE__, $sql);
      }
Ögretmenim canim benim , canim benim...
Seni ben pek cok , pek cok severim.
Sen bir anaaaa , sen bir baabaaaaaa
Kalani neyyydiii yaaa unuttum , bu siirin sözlerini ariyorum...
Kullanıcı avatarı
murtaza
Üye
Üye
 
İleti: 1187
Kayıt: 15.11.2005, 17:15
Konum: Yurt Dışı

Cvp: phpBB-2.0.20 Kod değişikliği yapacakların dikkatine

İleti fatse 09.04.2006, 10:42

yaw hangi editörü kullanıyosunuz??
sadece word padde açıp mı editliyosunuz
ben rapid php diye bişey indirdim ama bişeyi arayıp nasıl değiştireceğimi bulamadım :?
fatse
Üye
Üye
 
İleti: 31
Kayıt: 05.02.2006, 15:28

İleti fontaine 09.04.2006, 11:05

[~]Editör olarak basit ama çok kullanışlı,iyi bir editör, CuteHTML... Ben bunu kullanıyorum eskiden cute ftp yüklemiştim onun yanında gelen bir programdı o gün bugün hala bu programı kullanıyorum. Arama fonksiyonu fln çok iyi!
Kullanıcı avatarı
fontaine
Üye
Üye
 
İleti: 130
Kayıt: 11.01.2006, 00:24

Cvp: phpBB-2.0.20 Kod değişikliği yapacakların dikkatine

İleti fatihbaz 09.04.2006, 11:48

fatse yazdı:yaw hangi editörü kullanıyosunuz??
sadece word padde açıp mı editliyosunuz
ben rapid php diye bişey indirdim ama bişeyi arayıp nasıl değiştireceğimi bulamadım :?


dreamweaver :)
Kullanıcı avatarı
fatihbaz
Üye
Üye
 
İleti: 870
Kayıt: 25.11.2005, 12:26
Konum: Kahramanmaraş

Cvp: phpBB-2.0.20 Kod değişikliği yapacakların dikkatine

İleti fatse 09.04.2006, 12:57

olmadı arkadaşlar parse error verdi admin panelim
fatse
Üye
Üye
 
İleti: 31
Kayıt: 05.02.2006, 15:28

İleti 10UR 09.04.2006, 13:09

ben güncellemeyi yaptım ve hiç bir sorun yok.

sende olmuyo bende oluyo ise sorun sende. kodlamada v.b. bi yerde %99 hata yapıyosun.
10UR
Üye
Üye
 
İleti: 108
Kayıt: 30.11.2005, 18:44

Cvp: phpBB-2.0.20 Kod değişikliği yapacakların dikkatine

İleti fatse 09.04.2006, 13:27

o zaman size ne yaptığımı sırayla söyleyim
1-önce veritabanımın yedeğini aldım
2- onlada kalmadım bütün dosyalarımı bilgisayarıma indirdim (forum klasörümü)
3-editleyeceğim dosyaları ayırdım ve yine yedeğini aldım
4-dosyaları phpbb-2.0.19_to_2.0.20.txt dosyasına göre editlemeye çalıştım
5- Editlediğim dosyaları serverime attım
6-veritabanı güncelleme dosyasını root dizinime attım update_to_latest.php
7-confirm_body tpl dosyasını templates/subSilver içine kopyaldım

sonra yeniledim ve admin panelimin solunda parse error .... diye bi hata çıktı bende tekrar eski dosyalarımı geri yükledim

bu kadar birde son iki basamağı nasıl yapacağımı daha açık söylerseniz sevinirim
fatse
Üye
Üye
 
İleti: 31
Kayıt: 05.02.2006, 15:28

İleti 10UR 09.04.2006, 13:31

update_to_latest.php

dosyasını root ta atarsanız tabiyki sorun çıkar install diye bi klasör açıp ona atın.

yoksa günelleme yapamazsınız. şahsen ben yapamadım warning filan yazar.
10UR
Üye
Üye
 
İleti: 108
Kayıt: 30.11.2005, 18:44

İleti fatse 09.04.2006, 13:45

onur35 yazdı:update_to_latest.php

dosyasını root ta atarsanız tabiyki sorun çıkar install diye bi klasör açıp ona atın.

yoksa günelleme yapamazsınız. şahsen ben yapamadım warning filan yazar.

sen yapmadında biz neden yapıyoz
fatse
Üye
Üye
 
İleti: 31
Kayıt: 05.02.2006, 15:28

İleti 10UR 09.04.2006, 13:56

bende baya bi hata werdi o klasöre koymayınca.

kurulumu dikkatli okursanız

After you have finished this tutorial, you have to upload the
install/update_to_latest.php file, execute it and then delete it from your
webspace.

install a koyacaksın yazıyor. ben 2 siteye kurdum 2 sindede ilk koymadım 2sindede aynı hatayı aldım installa koyunca ise güzelce kurdum.
10UR
Üye
Üye
 
İleti: 108
Kayıt: 30.11.2005, 18:44

ÖncekiSonraki

Duyurular



Kimler çevrimiçi

Bu forumu görüntüleyenler: Kayıtlı kullanıcı yok ve 0 misafir